main()
{
	//maps\mp\mp_snow_fx::main();
	//maps\createart\mp_snow_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_snow");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_snow" );
	ambientPlay("ambient_snow_ext");

	game["allies"] = "sas";
	game["axis"] = "russian";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//fog code
	setExpFog(500, 1000, 0, 0, 0, 0.0);


	//smoke code
	smoke = getentarray("smoke","targetname");
	for(i=0;i<smoke.size;i++)
	smoke[i] thread smoking();

	//snow code
	snow = getentarray("snow","targetname");
	for(i=0;i<snow.size;i++)
	snow[i] thread snowing();

	//glass code
	fxwindowbreak = loadfx ("props/car_glass_large");
	trigwindowbreak = getentarray("trigwindowbreak","targetname");
	for(i=0;i<trigwindowbreak.size;i++)
	{
		trigwindowbreak[i] thread windowbreak(i,fxwindowbreak);
	}

	//door code
	trigdoorswing = getentarray("trigdoorswing","targetname");
	for(i=0;i<trigdoorswing.size;i++)
	{
		if (trigdoorswing[i].script_noteworthy == "ccw")
		{
		trigdoorswing[i].intswingdirection = 1;
		}
		else
		{
		trigdoorswing[i].intswingdirection = -1;		
		}
		trigdoorswing[i].doormodel = getent(trigdoorswing[i].target, "targetname");
		trigdoorswing[i].doormodel.doormoving = false;
		trigdoorswing[i].doormodel.doorclosed = true;
		trigdoorswing[i].doormodel.time = 1; //how long it takes the door to swing
		trigdoorswing[i] thread doorswing();
	}
}

//door code
doorswing()
{
	while (1)
	{
		self waittill("trigger");
		if(!self.doormodel.doormoving)
		{
			self.doormodel.doormoving = true;
			if(self.doormodel.doorclosed)
			{
				self.doormodel rotateyaw(self.intswingdirection * 90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = false;
		
				//close door again
				wait 4;
				self.doormodel rotateyaw(self.intswingdirection * -90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = true;		
			}
			self.doormodel.doormoving = false;
			
		}
	}
}

//glass code
windowbreak(windownumber,fxwindowbreak)
{
	window = getent(self.target,"targetname");
	totaldamage=0;
	targetdamage=100;
	windowbroken=0;
	broken = getentarray("brokenwindow"+(windownumber+1),"targetname");
	for(j=0;j<broken.size;j++)
	{
		broken[j] notsolid();
		broken[j] hide();
	}
	window show();
	while(!windowbroken)
	{
		self waittill ("damage",amount);
		totaldamage+=amount;
		if(totaldamage>targetdamage)
		{
			windowbroken=1;
		}
	}
//        self playsound("glass_break");
	PlayFX(fxwindowbreak, self.origin );
	if(broken.size)
	{
		for(j=0;j<broken.size;j++)
		{
			broken[j] show();
		}
	}
	window delete();
	self delete();
}

//snow code
snowing()
{
	level._effect["snow"] = loadfx ("weather/snow_light_mp_bloc");
	maps\mp\_fx::loopfx("snow",self.origin,8);
}

//smoke code
smoking()
{
	level._effect["smoke"] = loadfx ("smoke/car_damage_whitesmoke");
	maps\mp\_fx::loopfx("smoke", self.origin, 0.5);	
}
